Base de Conhecimento

Listar Quadros e Notas

Retorna dados referentes aos quadros e notas da base de conhecimento. Paginado em 100 registros por página.

GET
/v1.0/boards

Query Parameters

apiKey*string

Chave de acesso da empresa. Encontrada na aba BI de Minha Empresa.

page*integer

Número da página (inicia em 1)

workspaceId?integer

ID do Workspace para filtro

title?string

Nome do quadro para filtro

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ekyte.com/v1.0/boards?apiKey=xxxxxxxxxxxxxxx&page=1"
{
  "error": null,
  "data": [
    {
      "id": 0,
      "title": "string",
      "description": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "active": true,
      "workspaceId": 0,
      "workspace": "string",
      "createdById": "string",
      "createdBy": {
        "id": "string",
        "email": "string"
      },
      "notes": [
        {
          "id": 0,
          "title": "string",
          "content": "string",
          "status": "string"
        }
      ]
    }
  ],
  "paging": {
    "currentPage": {
      "size": 0,
      "number": 0
    },
    "totalCollectionSize": 0,
    "totalPages": 0
  }
}
{
  "error": {
    "id": "string",
    "message": "string",
    "details": "string",
    "code": "string"
  },
  "data": null
}
{
  "error": {
    "id": "string",
    "message": "string",
    "details": "string",
    "code": "string"
  },
  "data": null
}
{
  "error": {
    "id": "string",
    "message": "string",
    "details": "string",
    "code": "string"
  },
  "data": null
}